/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.service;

import gov.va.med.esr.common.model.lookup.RegistryType;
import gov.va.med.fw.service.pagination.SearchQueryInfo;

import java.io.Serializable;

/**
 * @author Muddaiah Ranga
 * @version 3.0
 */
public class RegistrySearchCriteria  extends SearchQueryInfo implements Serializable {

    private static final long serialVersionUID = 9134221165918653778L;

    private String ssn;
    private String firstName;
    private String lastName;
    private String militaryServiceNumber;
    private RegistryType registryType;
    
    public String getSsn() {
        return ssn;
    }
    
    public void setSsn(String ssn) {
        this.ssn = ssn;
    }
    
    public String getFirstName() {
        return firstName;
    }
    
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getMilitaryServiceNumber() {
        return militaryServiceNumber;
    }

    public void setMilitaryServiceNumber(String militaryServiceNumber) {
        this.militaryServiceNumber = militaryServiceNumber;
    }

    public RegistryType getRegistryType() {
        return registryType;
    }

    public void setRegistryType(RegistryType registryType) {
        this.registryType = registryType;
    }  
}
